Package wx :: Class PySimpleApp

[frames | no frames]

## Type PySimpleApp

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                 PyApp --+
                         |
                       App --+
                             |
                            PySimpleApp

Known Subclasses:
  `DocApp`

A simple application class. You can just create one of these and then then make your top level windows later, and not have to worry about OnInit. For example:

    app = wx.PySimpleApp()
    frame = wx.Frame(None, title='Hello World')
    frame.Show()
    app.MainLoop()

See Also:

`wx.App`

Method Summary
| ``__init__`(self, redirect, filename, useBestVisual, clearSigInt)`
| `OnInit(self)`

Property Summary

Instance Method Details

### __init__(self, redirect=False, filename=None, useBestVisual=False, clearSigInt=True)
(Constructor)

  Overrides:
    `wx.App.__init__`

  See Also:

  `wx.App.__init__`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:15 2007 | http://epydoc.sf.net